DeepFellow API ReferenceAdministration
Add webhook endpoint to project
Create a new webhook endpoint in the project.
Authorization[Bearer <token>]
In: header
Path Parameters
project_id[string]
The ID of the project.
Match
^[0-9a-fA-F]{24}$Header Parameters
OpenAI-Organization?[string | null]
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
url[string]
HTTPS endpoint that receives webhook event callbacks.
events?[array<"vector_store.file_batch.completed" | "vector_store.file_batch.cancelled" | "vector_store.file_batch.failed"> | string]
The webhook event types this endpoint receives.
Default
"all"secret?[string | null]
Secret used to sign webhook event callbacks. Auto-generated if left unset.
Response Body
curl -X POST "https://deepfellow-server-host/v1/organization/projects/5eb7cf5a86d9755df3a6c593/webhooks" \ -H "OpenAI-Organization: string" \ -H "Content-Type: application/json" \ -d '{ "url": "string" }'{
"id": "5eb7cf5a86d9755df3a6c593",
"object": "organization.project.webhook_endpoint",
"url": "string",
"events": [
"vector_store.file_batch.completed"
],
"created_at": 0,
"secret": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.